Subject: Last Call: <draft-ietf-geopriv-res-gw-lis-discovery-05.txt> (Location Information Server (LIS) Discovery using IP address and Reverse DNS) to Informational RFC

From: "Dickson, Brian" <[email-masked]>
Date: Wed, 17 Jul 2013 18:14:00 +0000

I have a question about the use of STUN, as a way of discovering IP address(es), in draft-ietf-geopriv-res-gw-lis-discovery.

Section 4.1 refers to STUN by way of RFC 5389, but reading both the present draft and 5389 leaves one critical item unspecified:

  o    What domain name is to be used, in the SRV query ("_stun._udp.domain" or "_stuns._tcp.domain" -- what value of "domain" is to be used in the query)?

Without that being specified, implementers/users have nothing specific to try, and without that, I do not see how STUN could be used at all.

Similarly, recommending that STUN be provisioned (section 4.6) leaves the question of "under which domain", unanswered and ambiguous.

Section 4.4 suggests that STUN servers be able to see the public IP used, but again, how should the STUN server be found?

This may have been an oversight by the authors, and they may already have envisioned answers to these questions.

Even section 7 (IAB considerations) is IMHO incomplete without the necessary "domain" specification for STUN usage.

I think resolving this issue is critical  for the document to serve its stated purpose.

(Is there perhaps a companion STUN RFC that does discuss this? If so, adding that as a normative reference may suffice, and linking to that in sections 4.1, 4.4, 4.6, and 8.

Modulo this oversight, I believe this is a well-written document and fills in an important gap in LIS deployment and use.

Brian Dickson

---

From: Martin Thomson <[email-masked]>
Date: Tue, 23 Jul 2013 10:05:17 -0700

Hi Brian,

I apologize for not responding sooner, your mail went into the
[email-masked] bucket, which generally gets ignored.  (Thanks to Ray
for pointing this out.)

On 17 July 2013 11:14, Dickson, Brian <[email-masked]> wrote:
>   o    What domain name is to be used, in the SRV query ("_stun._udp.domain"
> or "_stuns._tcp.domain" -- what value of "domain" is to be used in the
> query)?
>
> Without that being specified, implementers/users have nothing specific to
> try, and without that, I do not see how STUN could be used at all.
>
> Similarly, recommending that STUN be provisioned (section 4.6) leaves the
> question of "under which domain", unanswered and ambiguous.

STUN does define a discovery mechanism, but that mechanism depends on
configuration of an input domain, as you rightly identified.  However,
no local discovery method has been defined for STUN, partly because
that can be somewhat self-defeating, depending as it does on the
server being outside of any local access.

The normal practice for STUN is, as you fear, configuration (see for
example, the information at http://stunserver.org/).  On the upside, a
STUN server is relatively cheap to operate.  Such a server can live
almost anywhere in the network.

--Martin